### Virtual Method

# Foundry DebuggerThread can_move

#### Declaration [src]

    gboolean
    can_move (
      FoundryDebuggerThread* self,
      FoundryDebuggerMovement movement
    )

#### Description [src]

If `self` can attempt `movement` at this point.

#### Parameters

`movement`

  Type: `FoundryDebuggerMovement`

  No description available.

#### Return value

Type: `gboolean`

`TRUE` if `movement` may be a valid movement now.